NQUIRE(1)

NAME
nquire - query NCBI Entrez Utilities, other parameter-based web services, or FTP

SYNOPSIS
nquire (edirect -nquir) [-help] [-ftp host dir file] [-get [fIURL]] [-url URL] [-eutils name] [component ...] [-tag value ...] [-examples] [-version]

DESCRIPTION
nquire performs raw HTTP(S) or FTP queries against web services such as NCBI E-Utilities that take GET or POST parameters.

OPTIONS

-help
    Print usage information, complete with a few examples, some additionally illustrating the use of xtract(1).

-ftp host dir file
    Use FTP instead of HTTP.

-get [fIURL]
    Use HTTP(S) GET instead of POST.

-url URL
    Base URL for external search.

-eutils name
    Shorthand for -url https://eutils.ncbi.nlm.nih.gov/entrez/eutils.

component
    Add /component to the base URL. (Must precede any tag/value pairs.)

-tag value ...
    Add &tag=value,... to the base URL. (Must follow any simple components.)

-examples
    Examples of advanced queries.

-version
    Print version number.

SEE ALSO
bt-link(1), bt-srch(1), download-ncbi-data(1), edirect(1), enquire(1), xplore(1), xtract(1).